#include <bits/stdc++.h>
using namespace std;

int main()
{
    int  a1, a2;
    char input[3];

    scanf("%s", input);
    scanf("%d %d", &a1, &a2);

    if(abs(a1-a2)<2)
        if(a1>a2)
            for(int i=0; i<a1+a2; i++)
                printf("%c",input[i%2]);
        else for (int i=0; i<a1+a2; i++)
            printf("%c",input[(i+1)%2]);
    else printf("nemoguce");
}